from django.urls import reverse_lazy
from django.http.response import HttpResponseBadRequest
from django.views.generic import FormView

from profiles.forms import UserProfileForm


class ProfileDetailView(FormView):
    form_class = UserProfileForm
    template_name = "profiles/settings_form.html"
    success_url = reverse_lazy("profiles:profile_settings")

    def get_context_data(self, **kwargs):
        context_data = super().get_context_data(**kwargs)
        if self.request.user.is_anonymous:
            return HttpResponseBadRequest
        return context_data
